Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Dec 2013 05:45:15 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 01 Dec 2013 22:51:32 +0100
> 
> I don't succeed putting point on it. See http://screencast.com/t/jiC9rO3bj9T.

Use my recipe, not yours.  The problem happens as soon as the u+25b7
character is displayed in the buffer, no matter where it is displayed
and by which mechanism.

> I can move to the end of the line, and be before it, or after it, but never on
> it!?

Of course, this is how ellipsis behaves -- it doesn't come from buffer
text, so you cannot put point there.

> Anyway, it must be Consolas, as Consolas is the font used everywhere else, and
> as I have the following in my .emacs:
> 
> --8<---------------cut here---------------start------------->8---
>     (setq org-ellipsis
>           (if (char-displayable-p ?\u25B7) ; white right-pointing triangle
>               " \u25B7"                 ; string
>             'org-ellipsis)))            ; face
> --8<---------------cut here---------------end--------------->8---
> 
> As you see, the triangle is used only if the char is displayable in the current
> font, that is in Consolas in my case.

Where does it say "in the current font"?  It doesn't.  Emacs will use
any font available to it.  So your conclusion is incorrect.

Only "C-u C-x =" can tell what font is used.